import { LinkStatus, NetworkOption } from "./types";
export declare const status: {
    LIVE: LinkStatus;
    SOON: LinkStatus;
    NEW: LinkStatus;
};
export declare enum ChainId {
    MAINNET = 1,
    ROPSTEN = 3,
    RINKEBY = 4,
    GÖRLI = 5,
    KOVAN = 42,
    TOMOCHAIN_DEVNET = 99,
    TOMOCHAIN_TESTNET = 89,
    TOMOCHAIN_MAINNET = 88
}
export declare const NETWORK_LABELS: {
    [chainId in ChainId]?: string;
};
export declare const links: ({
    label: string;
    icon: string;
    href: string;
    items?: undefined;
    status?: undefined;
    calloutClass?: undefined;
} | {
    label: string;
    icon: string;
    items: {
        label: string;
        href: string;
    }[];
    href?: undefined;
    status?: undefined;
    calloutClass?: undefined;
} | {
    label: string;
    icon: string;
    href: string;
    status: LinkStatus;
    items?: undefined;
    calloutClass?: undefined;
} | {
    label: string;
    icon: string;
    status: LinkStatus;
    items: ({
        label: string;
        href: string;
        status: LinkStatus;
    } | {
        label: string;
        href: string;
        status?: undefined;
    })[];
    calloutClass: string;
    href?: undefined;
})[];
export declare const socials: ({
    label: string;
    icon: string;
    items: {
        label: string;
        href: string;
    }[];
    href?: undefined;
} | {
    label: string;
    icon: string;
    href: string;
    items?: undefined;
})[];
export declare const supportedWalletOption: NetworkOption[];
export declare const MENU_HEIGHT = 64;
export declare const MENU_ENTRY_HEIGHT = 48;
export declare const SIDEBAR_WIDTH_FULL = 240;
export declare const SIDEBAR_WIDTH_REDUCED = 56;
